commit 41c044287cb1a525a46dee8735ac23c2092c220a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Jul 3 02:19:49 2023

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index ae3ab38a574..4686be8f754 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230702
+20230703
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index a2e11e16576..ef7b93950a7 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,13 @@
+2023-07-02  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2023-07-02  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/110516
+	* intrinsics.cc (expand_volatile_load): Set TREE_SIDE_EFFECTS on the
+	expanded expression.
+	(expand_volatile_store): Likewise.
+
 2023-07-01  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	PR d/110511
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 3937277d477..b6e7bf626b6 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2023-07-02  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2023-07-02  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/110516
+	* gdc.dg/torture/pr110516a.d: New test.
+	* gdc.dg/torture/pr110516b.d: New test.
+
 2023-07-01  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	PR d/110511

